Subject: RE: perl 5.6.1 bug report
From: Neil Lunn <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 17 May 2001 17:57:39 +1000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, May 16, 2001 9:52 PM
> To: [email-masked]
> Subject: Re: perl 5.6.1 bug report
> [email-masked] wrote:
> 
> > > 1. This looks like a CR/LF problem.  Cygwin's perl-5.6.1 
> is known to
> > > have, er, issues with line endings.  Look for a new cygwin
> > > release when
> > > perl5-porters releases 5.6.2.
> > 
> > Nope.
> > 
> > > > while ( $input =~ /(.*?)#/gsm ) {
> > > >    print "[$1]";
> > > > }
> > 
> > I think you meant /(.+?)#/gsm)
> >                      ^
> 
> You're right. This makes it work with cygwin perl.

Actually it should be right in all perl 5.6.1 builds. Which leads me to say
that I am actually not sure which one is the bug, but it is not a "cygwin"
bug.

Someone please correct me if I'm wrong on this but I thought (*?) with /s as
a modifier would never match more than once. In fact, try the same string
with no newlines and it should only match once.

> This does not change the fact that there is different 
> behaviour between
> the activestate and the cygwin version.
> They are both 5.6.1 and should at least give the same output.

Yet as I state, I see no difference between cygwin, Linux and AIX on 5.6.1.
There is a difference in the Activestate release but it is a difference from
the standard distribution. There is a patch applied to the current ASPerl
from the standard perl distribution, thus meaning it is different from the
current standard.

Again, unless my regex interpretation is screwed up, the result you are
getting with ASPerl is not correct. Of course, prove me wrong and check out
a bleadperl build on cygwin (I haven't done this for over a week -- sorry)
to see how it works there. 

Neil

> 
> use re 'debug'; # to see where it goes wrong
> 
> (that'a perl and english at the same time once again. :-) )
> 
> > 
> > And you will need to strip new lines from the result 
> because you asked it to
> > with "s".
> 
> It's nothing useful anyway. It's a not working .dsw parser 
> cut down to a
> 5 liner to debug perl.
> 
> thanx anyway.
> 
> 
> Eddy
> 

__________________________________________________________________________
Please Note :
Only  the intended recipient is authorised to access or use this e-mail.  If
you are not the intended recipient,
please delete this e-mail and notify the sender immediately.   The contents
of this e-mail are the writer's 
opinion and are not necessarily endorsed by the Gunz Companies unless
expressly stated.

We use virus scanning software but exclude all liability for viruses or
similar in any attachment.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple